SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
SLNet::IncrementalReadInterface Class Reference

`#include <slikenet/IncrementalReadInterface.h>`

Inheritance diagram for SLNet::IncrementalReadInterface:

## Public Member Functions

| IncrementalReadInterface ()
virtual | ~IncrementalReadInterface ()
virtual unsigned int | GetFilePart (const char *filename, unsigned int startReadBytes, unsigned int numBytesToRead, void *preallocatedDestination, FileListNodeContext context)

## Detailed Description

Definition at line 25 of file IncrementalReadInterface.h.

## Constructor & Destructor Documentation

SLNet::IncrementalReadInterface::IncrementalReadInterface | ( |  | ) |

inline

Definition at line 28 of file IncrementalReadInterface.h.

virtual SLNet::IncrementalReadInterface::~IncrementalReadInterface | ( |  | ) |

inlinevirtual

Definition at line 29 of file IncrementalReadInterface.h.

## Member Function Documentation

unsigned int IncrementalReadInterface::GetFilePart | ( | const char * | filename,
|  | unsigned int | startReadBytes,
|  | unsigned int | numBytesToRead,
|  | void * | preallocatedDestination,
|  | FileListNodeContext | context
| ) |  |

virtual

Read part of a file into destination Return the number of bytes written. Return 0 when file is done.

Parameters

  [in] | filename | Filename to read
  [in] | startReadBytes | What offset from the start of the file to read from
  [in] | numBytesToRead | How many bytes to read. This is also how many bytes have been allocated to preallocatedDestination
  [out] | preallocatedDestination | Write your data here

Returns
  The number of bytes read, or 0 if none

Definition at line 23 of file IncrementalReadInterface.cpp.

The documentation for this class was generated from the following files:

- Source/include/slikenet/IncrementalReadInterface.h
- Source/src/IncrementalReadInterface.cpp